Retrieve list of the gangway analytics count
get
/spms/v2/ships/{shipId}/gatewaySecurity/gangway/analytics/count
This is to retrieve gangway analytics count for all people or for the selected profile types.
Request
Supported Media Types
- application/json
Path Parameters
Query Parameters
-
profileTypes: array[string]
Supports multiple profile type values: guest, crew, resident, visitor and staff. If resident passing in profileType, based on Use Resident parameter. If true (Use Resident) results responded in list. Else (Do not Use Resident) return 400- Resident not supported.
-
Allowed Values:
[ "guest", "crew", "resident", "visitor", "staff" ]
-
-
status: array[string]
Supports multiple status values: onboard, ashore, checkingOutToday, checkedOut, expected, checkingInToday, checkedIn, cancelled, noShow and overnightTour.
-
Allowed Values:
[ "onboard", "ashore", "checkingOutToday", "checkedOut", "expected", "checkingInToday", "checkedIn", "cancelled", "noShow", "overnightTour" ]
-
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : Oracle Responses - All Profiles Analytics
Type:
objectTitle:
Oracle Responses - All Profiles AnalyticsProfile Analytics responses. For visitor profileTypes, based on RequireVisitorToCheckIn parameter. If false (Do not required check-in) totalAshore= -1 (not supported), same apply to totalCheckingOutToday, totalCheckingOutTodayAdult, totalCheckingOutTodayMinor, totalCheckedOut, totalCheckedOutAdult, totalCheckedOutMinor, totalExpected, totalExpectedAdult, totalExpectedMinor, totalCheckingInToday, totalCheckingInTodayAdult, totalCheckingInTodayMinor, totalCheckedIn, totalCheckedInAdult, totalCheckedInMinor, totalCancelled, totalNoShow, totalOvernightTour.
Show Source
-
items:
object AllGangwayAnalytics
Profile Analytics responses. For visitor profileTypes, based on RequireVisitorToCheckIn parameter.
Nested Schema : AllGangwayAnalytics
Type:
objectProfile Analytics responses. For visitor profileTypes, based on RequireVisitorToCheckIn parameter.
Show Source
-
profileType(required):
string
This is the profile type - guest, resident, crew, staff or visitorExample:
crew -
totalAshore(required):
number
The total number of ashore for this profile type with statuses checked in and checking out today; For visitor profile type, it is based on parameter "Require visitor to check in" If the parameter value is 1 then display total count of visitor with statuses checked in, checking out today otherwise display no valueExample:
12345678 -
totalAshoreAdult(required):
number
The total number of ashore adult for this profile type.Example:
12345678 -
totalAshoreMinor(required):
number
The total number of ashore minor for this profile type.Example:
12345678 -
totalCancelled(required):
number
The total number of cancelled for this profile type.Example:
12345678 -
totalCheckedIn(required):
number
The total number of checked In for this profile type.Example:
12345678 -
totalCheckedInAdult(required):
number
The total number of checked in today adult for this profile type.Example:
12345678 -
totalCheckedInMinor(required):
number
The total number of checked in today minor for this profile type.Example:
12345678 -
totalCheckedInVip(required):
number
The total number of checked in and checking out today which are VIPs. Only guests and residents have VIPs.Example:
12345678 -
totalCheckedOut(required):
number
The total number of checked out for this profile type who is currently ashore.Example:
12345678 -
totalCheckedOutAdult(required):
number
The total number of checked out today adult for this profile type.Example:
12345678 -
totalCheckedOutMinor(required):
number
The total number of checked out today minor for this profile type.Example:
12345678 -
totalCheckingInToday(required):
number
The total number of checking in today(a.k.a expected today) for this profile type.Example:
12345678 -
totalCheckingInTodayAdult(required):
number
The total number of checking in today adult for this profile type.Example:
12345678 -
totalCheckingInTodayMinor(required):
number
The total number of checking in today minor for this profile type.Example:
12345678 -
totalCheckingInTodayVip(required):
number
The total number of checking in today(a.k.a expected today) which are VIPs. Only guests and residents have VIPs.Example:
12345678 -
totalCheckingOutToday(required):
number
The total number of checking out today(a.k.a leaving today) for this profile type who is currently onboardExample:
12345678 -
totalCheckingOutTodayAdult(required):
number
The total number of checking out today adult for this profile type.Example:
12345678 -
totalCheckingOutTodayMinor(required):
number
The total number of checking out today minor for this profile type.Example:
12345678 -
totalExpected(required):
number
The total number of expected for this profiles with statuses reserved, checking in today, no show and cancelledExample:
12345678 -
totalExpectedAdult(required):
number
The total number of expected adult for this profile type.Example:
12345678 -
totalExpectedMinor(required):
number
The total number of expected minor for this profile type.Example:
12345678 -
totalNoShow(required):
number
The total number of no show for this profile type.Example:
12345678 -
totalOnboard(required):
number
The total number of onboard for this profile type with statuses reserved, checking in today, checked in, checking out today and checked out; For visitors it does not look for any statusExample:
12345678 -
totalOnboardAdult(required):
number
The total number of onboard adult for this profile type.Example:
12345678 -
totalOnboardMinor(required):
number
The total number of onboard minor for this profile type.Example:
12345678 -
totalOnboardVisitorGeneric(required):
number
The total number of onboard visitor generic for this profile type.Example:
12345678 -
totalOnboardVisitorNamed(required):
number
The total number of onboard visitor named for this profile type.Example:
12345678 -
totalOvernightTour(required):
number
The total number of overnight tour for this profile type who is currently ashore with statuses checkedIn, checking out today.Example:
12345678
Example:
[
{
"profileType":"crew",
"totalOnboard":764,
"totalAshore":21,
"totalCheckingOutToday":0,
"totalCheckedOut":0,
"totalExpected":0,
"totalCheckingInToday":0,
"totalCheckedIn":785,
"totalCancelled":0,
"totalNoShow":0,
"totalOvernightTour":0,
"totalCheckingInTodayVip":null,
"totalCheckedInVip":null,
"totalOnboardVisitorNamed":null,
"totalOnboardVisitorGeneric":null,
"totalOnboardAdult":700,
"totalOnboardMinor":64,
"totalAshoreAdult":20,
"totalAshoreMinor":1,
"totalCheckingOutTodayAdult":0,
"totalCheckingOutTodayMinor":0,
"totalCheckedOutAdult":0,
"totalCheckedOutMinor":0,
"totalExpectedAdult":0,
"totalExpectedMinor":0,
"totalCheckingInTodayAdult":0,
"totalCheckingInTodayMinor":0,
"totalCheckedInAdult":700,
"totalCheckedInMinor":85
},
{
"profileType":"guest",
"totalOnboard":721,
"totalAshore":18,
"totalCheckingOutToday":0,
"totalCheckedOut":0,
"totalExpected":0,
"totalCheckingInToday":0,
"totalCheckedIn":741,
"totalCancelled":0,
"totalNoShow":0,
"totalOvernightTour":1,
"totalCheckingInTodayVip":10,
"totalCheckedInVip":50,
"totalOnboardVisitorNamed":null,
"totalOnboardVisitorGeneric":null,
"totalOnboardAdult":600,
"totalOnboardMinor":121,
"totalAshoreAdult":15,
"totalAshoreMinor":3,
"totalCheckingOutTodayAdult":0,
"totalCheckingOutTodayMinor":0,
"totalCheckedOutAdult":0,
"totalCheckedOutMinor":0,
"totalExpectedAdult":0,
"totalExpectedMinor":0,
"totalCheckingInTodayAdult":0,
"totalCheckingInTodayMinor":0,
"totalCheckedInAdult":700,
"totalCheckedInMinor":41
},
{
"profileType":"visitor",
"totalOnboard":3,
"totalAshore":0,
"totalCheckingOutToday":null,
"totalCheckedOut":null,
"totalExpected":null,
"totalCheckingInToday":null,
"totalCheckedIn":null,
"totalCancelled":null,
"totalNoShow":null,
"totalOvernightTour":null,
"totalCheckingInTodayVip":0,
"totalCheckedInVip":0,
"totalOnboardVisitorNamed":2,
"totalOnboardVisitorGeneric":1,
"totalOnboardAdult":3,
"totalOnboardMinor":0,
"totalAshoreAdult":0,
"totalAshoreMinor":0,
"totalCheckingOutTodayAdult":null,
"totalCheckingOutTodayMinor":null,
"totalCheckedOutAdult":null,
"totalCheckedOutMinor":null,
"totalExpectedAdult":null,
"totalExpectedMinor":null,
"totalCheckingInTodayAdult":null,
"totalCheckingInTodayMinor":null,
"totalCheckedInAdult":null,
"totalCheckedInMinor":null
},
{
"profileType":"resident",
"totalOnboard":4,
"totalAshore":2,
"totalCheckingOutToday":0,
"totalCheckedOut":0,
"totalExpected":0,
"totalCheckingInToday":0,
"totalCheckedIn":6,
"totalCancelled":0,
"totalNoShow":0,
"totalOvernightTour":0,
"totalCheckingInTodayVip":0,
"totalCheckedInVip":20,
"totalOnboardVisitorNamed":null,
"totalOnboardVisitorGeneric":null,
"totalOnboardAdult":4,
"totalOnboardMinor":0,
"totalAshoreAdult":2,
"totalAshoreMinor":0,
"totalCheckingOutTodayAdult":0,
"totalCheckingOutTodayMinor":0,
"totalCheckedOutAdult":0,
"totalCheckedOutMinor":0,
"totalExpectedAdult":0,
"totalExpectedMinor":0,
"totalCheckingInTodayAdult":0,
"totalCheckingInTodayMinor":0,
"totalCheckedInAdult":6,
"totalCheckedInMinor":0
},
{
"profileType":"staff",
"totalOnboard":20,
"totalAshore":5,
"totalCheckingOutToday":0,
"totalCheckedOut":0,
"totalExpected":0,
"totalCheckingInToday":0,
"totalCheckedIn":6,
"totalCancelled":0,
"totalNoShow":0,
"totalOvernightTour":0,
"totalCheckingInTodayVip":null,
"totalCheckedInVip":null,
"totalOnboardVisitorNamed":null,
"totalOnboardVisitorGeneric":null,
"totalOnboardAdult":20,
"totalOnboardMinor":0,
"totalAshoreAdult":5,
"totalAshoreMinor":0,
"totalCheckingOutTodayAdult":0,
"totalCheckingOutTodayMinor":0,
"totalCheckedOutAdult":0,
"totalCheckedOutMinor":0,
"totalExpectedAdult":0,
"totalExpectedMinor":0,
"totalCheckingInTodayAdult":0,
"totalCheckingInTodayMinor":0,
"totalCheckedInAdult":6,
"totalCheckedInMinor":0
}
]400 Response
Bad Request
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1",
"title":"Bad Request",
"detail":"Invalid profileType for status count of all people and the selected profile type"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
401 Response
Unauthorized
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2",
"title":"Unauthorised",
"detail":"Valid token is required to access this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
403 Response
Forbidden
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.4",
"title":"Forbidden",
"detail":"Access to this resource was forbidden"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
404 Response
Not Found
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5",
"title":"Not Found",
"detail":"Ship 123 was not found"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
405 Response
Method Not Allowed
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6",
"title":"Method Not Supported",
"detail":"HTTP method not supported for this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
406 Response
Not Acceptable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7",
"title":"Not Acceptable",
"detail":"Request a Mime type that is supported for this Resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
500 Response
Internal Server Error
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1",
"title":"Internal Server Error",
"detail":"Issue fulfilling request. Please retry or contact support"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
503 Response
Service unavailable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"https://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4",
"title":"Service Unavailable",
"detail":"Service Unavailable. Try again later"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source